## org.eclipse.jst.jsf.common.metadata.traittypes.traittypes
Interface TraitTypesPackage.Literals

Enclosing interface:
  TraitTypesPackage

    public static interface TraitTypesPackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Field Summary
`static EClass` `BOOLEAN_VALUE` The meta object literal for the '`Boolean Value`' class
`static EAttribute` `BOOLEAN_VALUE__TRUE` The meta object literal for the 'True' attribute feature
`static EClass` `LIST_OF_VALUES` The meta object literal for the '`List Of Values`' class
`static EReference` `LIST_OF_VALUES__ENTRIES` The meta object literal for the 'Entries' containment reference list feature
`static EClass` `SET_GENERATOR` The meta object literal for the '`Set Generator`' class
`static EAttribute` `SET_GENERATOR__ALGORITHM` The meta object literal for the 'Algorithm' attribute feature
`static EAttribute` `SET_GENERATOR__EXPRESSION` The meta object literal for the 'Expression' attribute feature
`static EClass` `STRING_VALUE` The meta object literal for the '`String Value`' class
`static EAttribute` `STRING_VALUE__VALUE` The meta object literal for the 'Value' attribute feature

Field Detail

### LIST_OF_VALUES

    static final EClass LIST_OF_VALUES

  The meta object literal for the '`List Of Values`' class.

  See Also:
    `ListOfValuesImpl`, `TraitTypesPackageImpl.getListOfValues()`

### LIST_OF_VALUES__ENTRIES

    static final EReference LIST_OF_VALUES__ENTRIES

  The meta object literal for the 'Entries' containment reference list feature.

### SET_GENERATOR

    static final EClass SET_GENERATOR

  The meta object literal for the '`Set Generator`' class.

  See Also:
    `SetGeneratorImpl`, `TraitTypesPackageImpl.getSetGenerator()`

### SET_GENERATOR__ALGORITHM

    static final EAttribute SET_GENERATOR__ALGORITHM

  The meta object literal for the 'Algorithm' attribute feature.

### SET_GENERATOR__EXPRESSION

    static final EAttribute SET_GENERATOR__EXPRESSION

  The meta object literal for the 'Expression' attribute feature.

### STRING_VALUE

    static final EClass STRING_VALUE

  The meta object literal for the '`String Value`' class.

  See Also:
    `StringValueImpl`, `TraitTypesPackageImpl.getStringValue()`

### STRING_VALUE__VALUE

    static final EAttribute STRING_VALUE__VALUE

  The meta object literal for the 'Value' attribute feature.

### BOOLEAN_VALUE

    static final EClass BOOLEAN_VALUE

  The meta object literal for the '`Boolean Value`' class.

  See Also:
    `BooleanValueImpl`, `TraitTypesPackageImpl.getBooleanValue()`

### BOOLEAN_VALUE__TRUE

    static final EAttribute BOOLEAN_VALUE__TRUE

  The meta object literal for the 'True' attribute feature.